Node.Nodes (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.Node.Nodes class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Node.Nodes

    java.lang.Object
      org.apache.jasper.compiler.Node.Nodes

Enclosing class:
  org.apache.jasper.compiler.Node

public static class Node.Nodes
extends java.lang.Object

An ordered list of Node, used to represent the body of an element, or a jsp page of jsp document.

Constructor Summary
`Node.Nodes()`
`Node.Nodes(Node.Root root)`

Method Summary
`void` | `add(org.apache.jasper.compiler.Node n)` Appends a node to the list
`org.apache.jasper.compiler.Node` | `getNode(int index)`
`Node.Root` | `getRoot()`
`boolean` | `isGeneratedInBuffer()`
`void` | `remove(org.apache.jasper.compiler.Node n)` Removes the given node from the list.
`void` | `setGeneratedInBuffer(boolean g)`
`int` | `size()`
`void` | `visit(Node.Visitor v)` Visit the nodes in the list with the supplied visitor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node.Nodes

    public Node.Nodes()

### Node.Nodes

    public Node.Nodes(Node.Root root)

Method Detail

### add

    public void add(org.apache.jasper.compiler.Node n)

  Appends a node to the list

  Parameters:
    `n` - The node to add

### remove

    public void remove(org.apache.jasper.compiler.Node n)

  Removes the given node from the list.

  Parameters:
    `n` - The node to be removed

### visit

    public void visit(Node.Visitor v)
               throws JasperException

  Visit the nodes in the list with the supplied visitor

  Parameters:
    `v` - The visitor used
  Throws:
    `JasperException`

### size

    public int size()

### getNode

    public org.apache.jasper.compiler.Node getNode(int index)

### getRoot

    public Node.Root getRoot()

### isGeneratedInBuffer

    public boolean isGeneratedInBuffer()

### setGeneratedInBuffer

    public void setGeneratedInBuffer(boolean g)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.